/**
 *     XTA-Client Java Library
 *     Copyright (C) 2021 Koordinierungsstelle für IT-Standards (KoSIT)
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.xoev.xta.client.core;

import de.xoev.xta.client.config.HttpClientPolicy;
import de.xoev.xta.client.config.HttpProxy;
import de.xoev.xta.client.config.Keystore;
import java.net.URL;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * Konfigurationsparameter für den {@link WsClient}.
 */

@Setter(AccessLevel.PACKAGE)
@Getter(AccessLevel.PACKAGE)
@ToString
class WsClientConfig {

  private URL serviceUrl;
  private Keystore clientCertKeystore;
  private Keystore trustCertKeystore;
  private HttpProxy httpProxy;
  private HttpClientPolicy httpClientPolicy;

  private boolean validation = false;
  private boolean logSoapRequest = false;
  private boolean logSoapResponse = false;

}
