/**
 *     XTA-Client Java Library
 *     Copyright (C) 2021 Koordinierungsstelle für IT-Standards (KoSIT)
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.xoev.xta.client.encyrption;

import de.xoev.xta.client.exception.ClientException;
import de.xoev.transport.xta._211.GenericContentContainer.ContentContainer;
import org.w3._2001._04.xmlenc_.EncryptedDataType;

/**
 * Interface für ein Encryption-Service
 */
public interface EncryptionService {

  String getServiceProfilname();

  /**
   * Verschlüsselt einen ContentContainer
   *
   * @param contentContainer
   * @return
   * @throws ClientException
   */
  EncryptedDataType encrypt(final ContentContainer contentContainer) throws ClientException;

  /**
   * Entschlüsselt einen verschlüesselten ContentContainer
   *
   * @param encryptedDataType
   * @return
   * @throws ClientException
   */
  ContentContainer decyrpt(final EncryptedDataType encryptedDataType) throws ClientException;

}
