/**
 *     XTA-Client Java Library
 *     Copyright (C) 2021 Koordinierungsstelle für IT-Standards (KoSIT)
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.xoev.xta.client.model;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * Model-Klasse für den Nachrichtenstatus
 */
@Getter
@RequiredArgsConstructor
public enum MessageStatus {

  OPEN(0), GREEN(1), YELLOW(2), RED(3);

  private final int value;

  public static MessageStatus findByValue(final int value) {
    for (final MessageStatus v : values()) {
      if (v.name().equals(value) || v.getValue() == value) {
        return v;
      }
    }

    throw new IllegalArgumentException();
  }
}
