/**
 *     XTA-Client Java Library
 *     Copyright (C) 2021 Koordinierungsstelle für IT-Standards (KoSIT)
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.xoev.xta.client.soap;

import de.xoev.transport.xta._211.CancelDeniedException;
import de.xoev.transport.xta._211.InvalidMessageIDException;
import de.xoev.transport.xta._211.ParameterIsNotValidException;
import de.xoev.transport.xta._211.PermissionDeniedException;
import de.xoev.transport.xta._211.XTAWSTechnicalProblemException;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlElement;

@WebService
public interface XtaClientSoapService {

  void close(@WebParam(name = "messageId") @XmlElement(required = true, nillable = false) final String messageId,
      @WebParam(name = "requestHandle") final String requestHandle)
      throws InvalidMessageIDException, PermissionDeniedException, XTAWSTechnicalProblemException;

  void cancelMessage(@WebParam(name = "messageId") @XmlElement(required = true, nillable = false) final String messageId)
      throws PermissionDeniedException, XTAWSTechnicalProblemException, InvalidMessageIDException, CancelDeniedException, ParameterIsNotValidException;

}
