/**
 *     XTA-Client Java Library
 *     Copyright (C) 2021 Koordinierungsstelle für IT-Standards (KoSIT)
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.xoev.xta.client.modultest;

import de.xoev.xta.client.soap.XtaClientSoapServer;
import de.xoev.xta.client.soap.XtaClientSoapService;
import de.xoev.transport.xta._211.InvalidMessageIDException;
import java.io.IOException;
import java.net.ServerSocket;
import org.apache.cxf.jaxws.JaxWsProxyFactoryBean;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

@Ignore("Einrichtung notwendig")
public class SoapServerTest {

  private XtaClientSoapService client;
  private int port;

  @Before
  public void startSoapServer() throws IOException {
    ServerSocket s = null;
    try {
      s = new ServerSocket(0);
      port = s.getLocalPort();
      s.close();
      XtaClientSoapServer.main(new String[]{"-settings", "config/xtaclient_author.properties", "-port", String.valueOf(port)});
      final JaxWsProxyFactoryBean factory = new JaxWsProxyFactoryBean();
      factory.setServiceClass(XtaClientSoapService.class);
      factory.setAddress("http://localhost:" + port + "/xtaclient");
      client = (XtaClientSoapService) factory.create();
    } finally {
      if (s != null && !s.isClosed()) {
        s.close();
      }
    }
  }

  @Test(expected = InvalidMessageIDException.class)
  public void testSoapServer_closeFailed() throws Exception {
    client.close("1", "2");
  }
}
