/**
 *     XTA-Client Java Library
 *     Copyright (C) 2021 Koordinierungsstelle für IT-Standards (KoSIT)
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.xoev.xta.client.encryption;

import de.xoev.xta.client.exception.ClientException;
import de.xoev.transport.xta._211.ContentType;
import de.xoev.transport.xta._211.GenericContentContainer;
import de.xoev.transport.xta._211.GenericContentContainer.ContentContainer;
import org.assertj.core.api.Assertions;
import org.junit.Ignore;
import org.junit.Test;
import org.w3._2001._04.xmlenc_.EncryptedDataType;

/**
 * Testklasse für SampleEncryptionService
 */
@Ignore("Zuerst müssen ein Keystore erstellt und SampleEncryptionService.KEYSTORE_PATH gesetzt werden.")
public class SampleEncryptionServiceTest {

  /**
   * Testet ob der ContentContainer ver- und entschlüsselt werden kann.
   *
   * @throws ClientException
   */
  @Test
  public void testSampleEncryptionService() throws ClientException {

    final GenericContentContainer.ContentContainer contentContainer = new ContentContainer();
    final ContentType contentType = new ContentType();
    contentType.setFilename("123");
    contentContainer.setMessage(contentType);

    final SampleEncryptionService s = new SampleEncryptionService();
    final EncryptedDataType e = s.encrypt(contentContainer);
    final ContentContainer contentContainerDecrypted = s.decyrpt(e);
    Assertions.assertThat(contentContainerDecrypted.getMessage().getFilename())
        .isEqualTo(contentContainer.getMessage().getFilename());
  }
}
